.editor-styles-wrapper {
  line-height: 2.25;
}

.editor-styles-wrapper:after {
  display: none !important;
}

.wp-admin .editor-styles-wrapper {
  padding: 0 40px;
}

.wp-admin .editor-styles-wrapper {
  color: #000000;
}

.editor-styles-wrapper h2 {
  line-height: 1.5;
  margin: 50px 0;
  font-size: 30px;
  font-weight: 700;
  border-left-style: solid;
  border-left-width: 10px;
  padding: 23px 20px 23px 30px;
  -webkit-border-radius: 10px;
  -moz-border-radius: 10px;
  -ms-border-radius: 10px;
  -o-border-radius: 10px;
  border-radius: 10px;
  border-left-color: #1aa18a;
  background: #fff;
}

.editor-styles-wrapper h3 {
  line-height: 1.5;
  margin: 50px 0 50px;
  font-size: 28px;
  font-weight: 700;
  padding: 10px 20px 10px 40px;
  position: relative;
}

.editor-styles-wrapper h3::before {
  position: absolute;
  content: "";
  left: 0;
  top: 0;
  width: 10px;
  height: 100%;
  -webkit-border-radius: 3px;
  -moz-border-radius: 3px;
  -ms-border-radius: 3px;
  -o-border-radius: 3px;
  border-radius: 3px;
  z-index: 0;
  background: #1aa18a;
}

.editor-styles-wrapper h4 {
  line-height: 1.5;
  font-size: 24px;
  font-weight: 700;
  margin: 70px 0 45px;
  padding: 0 0 17px;
  position: relative;
}

.editor-styles-wrapper h4::before {
  position: absolute;
  content: "";
  left: 0;
  bottom: 0;
  width: 100px;
  height: 4px;
  -webkit-border-radius: 2px 0 0 2px;
  -moz-border-radius: 2px 0 0 2px;
  -ms-border-radius: 2px 0 0 2px;
  -o-border-radius: 2px 0 0 2px;
  border-radius: 2px 0 0 2px;
  z-index: 1;
  background: #1aa18a;
}

.editor-styles-wrapper h4::after {
  position: absolute;
  content: "";
  left: 0;
  bottom: 0;
  width: 100%;
  height: 4px;
  background: #fff;
  z-index: 0;
}

.editor-styles-wrapper img {
  display: block;
  margin: 0 auto 30px;
  -webkit-border-radius: 10px;
  -moz-border-radius: 10px;
  -ms-border-radius: 10px;
  -o-border-radius: 10px;
  border-radius: 10px;
}

.editor-styles-wrapper p {
  padding-bottom: 40px;
}

.wp-admin .editor-styles-wrapper p {
  padding-bottom: 0px;
}

.editor-styles-wrapper a {
  color: #1aa18a;
  text-decoration: underline;
  word-break: break-all;
}

.editor-styles-wrapper a:hover {
  opacity: .5;
}

.editor-styles-wrapper .wp-block-columns {
  padding-bottom: 40px;
}

.wp-block-columns {
  display: flex;
  gap: var(--wp--style--block-gap, 40px);
  flex-wrap: wrap;
  align-items: start !important;
}

.wp-block-columns.is-layout-flex>.wp-block-column {
  flex: 1 1 0;
  min-width: 0;
  box-sizing: border-box
}

.wp-block-column {
  overflow-wrap: anywhere;
  word-break: break-word
}

.wp-block-column .wp-block-image,
.wp-block-column .wp-block-image figure,
.wp-block-column .wp-block-image img {
  max-width: 100%;
  width: 100%;
  height: auto;
  display: block;
  margin: auto;
}

.wp-admin .wp-block-image .components-resizable-box__container {
  margin: auto;
}

.has-text-align-center {
  text-align: center;
}

.has-text-align-left {
  text-align: left;
}

.has-text-align-right {
  text-align: right;
}

.wp-admin .editor-styles-wrapper .wp-block-columns {
  padding-bottom: 0px;
}

.editor-styles-wrapper .wp-block-image {
  text-align: center;
}

.editor-styles-wrapper ul {
  display: flex;
  flex-direction: column;
  gap: 5px;
  margin-bottom: 40px;
}

.wp-admin .editor-styles-wrapper ul {
  padding-left: 0;
  display: block;
}

.editor-styles-wrapper ul li {
  padding: 0 0 0 25px;
  position: relative;
}

.wp-admin .editor-styles-wrapper ul li {
  list-style: none;
}

.editor-styles-wrapper ul li::before {
  position: absolute;
  content: "";
  left: 0;
  top: 13px;
  width: 12px;
  height: 12px;
  -webkit-border-radius: 50%;
  -moz-border-radius: 50%;
  -ms-border-radius: 50%;
  -o-border-radius: 50%;
  border-radius: 50%;
  z-index: 0;
  background: #1aa18a;
}

.editor-styles-wrapper ol {
  display: flex;
  flex-direction: column;
  gap: 5px;
  margin-bottom: 40px;
  list-style: auto;
  padding-left: 20px;
}

.wp-admin .editor-styles-wrapper ol {
  display: block;
}

.editor-styles-wrapper ol li {
  padding-left: 5px;
}

.editor-styles-wrapper ol li::marker {
  color: #1aa18a;
  font-weight: bold;
}

.editor-styles-wrapper .wp-block-group {
  padding: 45px;
  background: #fff;
  border-width: 2px;
  border-style: solid;
  -webkit-border-radius: 10px;
  -moz-border-radius: 10px;
  -ms-border-radius: 10px;
  -o-border-radius: 10px;
  border-radius: 10px;
  margin-bottom: 40px;
  border-color: #1aa18a;
}

.editor-styles-wrapper .wp-block-group ul {
  margin-bottom: 20px;
}

.editor-styles-wrapper .wp-block-flexible-table-block-table {
  margin-bottom: 40px;
}

.editor-styles-wrapper .wp-block-flexible-table-block-table>table tr th,
.editor-styles-wrapper .wp-block-flexible-table-block-table>table tr td {
  padding: 30px 20px !important;
  border: 1px solid #1aa18a !important;
}

.editor-styles-wrapper .wp-block-flexible-table-block-table>table tr th {
  background-color: #1aa18a !important;
  color: #fff !important;
  font-weight: normal;
  text-align: center !important;
  border-bottom: 1px solid #fff !important;
}

.editor-styles-wrapper .wp-block-flexible-table-block-table>table tr:last-child th {
  border-bottom: 1px solid #1aa18a !important;
}

.editor-styles-wrapper .wp-block-flexible-table-block-table>table tr td {
  background-color: #fff !important;
  text-align: center !important;
  border: 1px solid #1aa18a !important;
}

.wp-admin.post-type-magazine .editor-styles-wrapper h2,
.magazine_detail .editor-styles-wrapper h2 {
  border-left-color: #de6d4d;
  background: #de6d4d;
  color: #fff;
}

.wp-admin.post-type-magazine .editor-styles-wrapper h3:before,
.magazine_detail .editor-styles-wrapper h3:before {
  background: #de6d4d;
}

.wp-admin.post-type-magazine .editor-styles-wrapper h4:before,
.magazine_detail .editor-styles-wrapper h4:before {
  background: #de6d4d;
}

.wp-admin.post-type-magazine .editor-styles-wrapper .wp-block-group,
.magazine_detail .editor-styles-wrapper .wp-block-group {
  border-color: #de6d4d;
}

.wp-admin.post-type-magazine .editor-styles-wrapper ul li:before,
.magazine_detail .editor-styles-wrapper ul li:before {
  background: #de6d4d;
}

@media (max-width: 767px) {
  .editor-styles-wrapper {
    line-height: 1.93;
  }

  .editor-styles-wrapper h2 {
    margin: 5px 0 25px;
    font-size: 17px;
    border-left-width: 5px;
    padding: 15px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
    border-radius: 5px;
  }

  .editor-styles-wrapper h3 {
    margin: 15px 0 25px;
    font-size: 16px;
    padding: 7px 10px 7px 20px;
  }

  .editor-styles-wrapper h3:before {
    width: 5px;
    -webkit-border-radius: 2px;
    -moz-border-radius: 2px;
    -ms-border-radius: 2px;
    -o-border-radius: 2px;
    border-radius: 2px;
  }

  .editor-styles-wrapper h4 {
    font-size: 15px;
    line-height: 1.8;
    margin: 15px 0 20px;
    padding: 0 0 10px;
  }

  .editor-styles-wrapper h4:before {
    width: 50px;
    height: 2px;
  }

  .editor-styles-wrapper h4:after {
    height: 2px;
  }

  .editor-styles-wrapper img {
    margin: 0 auto 20px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
    border-radius: 5px;
  }

  .editor-styles-wrapper p {
    padding-bottom: 20px;
  }

  .editor-styles-wrapper .wp-block-columns {
    display: block;
    padding-bottom: 20px;
  }

  .editor-styles-wrapper .wp-block-columns .wp-block-image {
    margin: 0 auto 20px;
    float: none;
  }

  .editor-styles-wrapper .wp-block-column {
    width: 100%;
  }

  .editor-styles-wrapper .wp-block-columns p {
    padding-bottom: 20px;
  }

  .editor-styles-wrapper ul {
    gap: 10px;
    margin-bottom: 20px;
  }

  .editor-styles-wrapper ul li {
    padding: 0 0 0 20px;
  }

  .editor-styles-wrapper ul li::before {
    top: 9px;
    width: 9px;
    height: 9px;
  }

  .editor-styles-wrapper ol {
    padding-left: 15px;
  }

  .editor-styles-wrapper .wp-block-flexible-table-block-table {
    margin-bottom: 30px;
    overflow-x: auto;
    width: 100vw;
  }

  .wp-block-flexible-table-block-table.wp-block-flexible-table-block-table>table.has-fixed-layout {
    max-width: 800px;
    width: 800px;
  }

  .editor-styles-wrapper .wp-block-flexible-table-block-table>table tr th,
  .editor-styles-wrapper .wp-block-flexible-table-block-table>table tr td {
    padding: 15px 10px !important;
    /* min-width: 150px; */
    font-size: 13px;
    text-align: left !important;
  }

  .editor-styles-wrapper .wp-block-flexible-table-block-table>table tr td {
    font-size: 13px;
  }

  .editor-styles-wrapper .wp-block-group {
    margin: 0px 0 20px;
    padding: 25px 20px 5px;
    border-width: 2px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
    border-radius: 5px;
  }

  .editor-styles-wrapper .wp-block-group ul {
    margin-bottom: 20px;
  }

  .wp-block-columns.is-layout-flex>.wp-block-column,
  .editor-styles-wrapper .wp-block-columns.is-layout-flex>.wp-block-column {
    flex: 1 1 100%;
    max-width: 100%;
  }
}